//modified id shader
textures/pjw3tourney3/nodraw_noimpact
{
	qer_editorimage textures/common/white.tga
	surfaceparm noimpact
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
}

//modified id shader
textures/pjw3tourney3/pjw3tourney3sky
{
	q3map_lightimage textures/common/white.tga
	q3map_lightsubdivide 256 
	q3map_globaltexture
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_sun 1.00 .90 .80 90 90 50
	q3map_surfacelight 160
	qer_editorimage textures/common/white.tga
	skyparms - 512 -
	{
		map textures/skies/bluedimclouds.tga
		tcMod scale 3 2
		tcMod scroll 0.05 0.05
	}
	{
		map textures/skies/pjbasesky.tga
		blendFunc GL_ONE GL_ONE
		tcMod scale 3 3
		tcMod scroll 0.03 0.03
	}
}

//modified id shader
textures/pjw3tourney3/pjwt3flatglowwater
{
	
	qer_editorimage textures/liquids/pool3d_5c2.tga
	q3map_globaltexture
	qer_trans .75
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	cull disable
	q3map_surfacelight 500
	{ 
		map textures/liquids/pool3d_5c2.tga
		blendFunc GL_dst_color GL_zero
		rgbgen identity
		tcmod scale .5 .5
		tcmod transform 1.5 0 1.5 1 1 2
		tcmod scroll -.05 .001
	}
	{
		map textures/liquids/pool3d_4b2.tga
		blendfunc add
		tcmod scale .125 .125	
		rgbgen identity
	}
}

//modified id shader
textures/pjw3tourney3/pjwt3flatwater
{
	qer_editorimage textures/liquids/pool3d_5c2.tga
	q3map_globaltexture
	qer_trans .75
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	cull disable
	{ 
		map textures/liquids/pool3d_5c2.tga
		blendFunc GL_dst_color GL_zero
		rgbgen identity
		tcmod scale .5 .5
		tcmod transform 1.5 0 1.5 1 1 2
		tcmod scroll -.05 .001
	}
	{
		map textures/liquids/pool3d_4b2.tga
		blendfunc add
		tcmod scale .125 .125	
		rgbgen identity
	}
}

//the following three shaders courtesy of ydnar; textures courtesy of Kat
textures/pjw3tourney3/pjw_t3_ZX
{
 	qer_editorimage textures/pjw3tourney3/pjwZXproj.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/pjw3tourney3/kt_rock_1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
		tcGen vector ( 0.007 0 0 ) ( 0 0 0.007 )
	}
	{
		map textures/pjw3tourney3/kt_rock_1e_pjw.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		rgbGen identity
		tcGen vector ( 0.003 0 0 ) ( 0 0 0.003 )
	}
}

textures/pjw3tourney3/pjw_t3_ZY
{
 	qer_editorimage textures/pjw3tourney3/pjwZYproj.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/pjw3tourney3/kt_rock_1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
		tcGen vector ( 0 0.007 0 ) ( 0 0 0.007 )
	}
	{
		map textures/pjw3tourney3/kt_rock_1e_pjw.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		rgbGen identity
		tcGen vector ( 0 0.003 0 ) ( 0 0 0.003 )
	}
}

textures/pjw3tourney3/pjw_t3_XY
{
 	qer_editorimage textures/pjw3tourney3/pjwXYproj.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/pjw3tourney3/kt_rock_1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
		tcGen vector ( 0 0.007 0 ) ( 0.007 0 0 )
	}
	{
		map textures/pjw3tourney3/kt_rock_1e_pjw.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		rgbGen identity
		tcGen vector ( 0 0.003 0 ) ( 0.003 0 0 )
	}
}

//modified Mr. Clean shader
textures/pjw3tourney3/stainls_trim_01_shiny
{
	qer_editorimage textures/pjw3tourney3/stainls_trim_01.tga
	{
		map textures/base_wall/chrome_env.tga
	        rgbGen identity
		tcGen environment
		tcmod scale .25 .25
	}
	
	{
		map textures/pjw3tourney3/stainls_trim_01.tga
		blendFunc blend	
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}

//modified Mr. Clean shader
textures/pjw3tourney3/stl_trim_34lt_250
{
	qer_editorimage textures/pjw3tourney3/stl_trim_34lt.tga
	q3map_surfacelight 250	
	q3map_lightimage textures/pjw3tourney3/stl_trim_34lt_glow.tga	
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/pjw3tourney3/stl_trim_34lt.tga
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/pjw3tourney3/stl_trim_34lt_glow.tga
		blendfunc GL_ONE GL_ONE
	}
}

//modified id shader
//texture by Yogi--thanks Yogi!
textures/pjw3tourney3/jumppad1_1_floor
{
	qer_editorimage textures/pjw3tourney3/jumppad1_5.tga
	q3map_lightimage textures/pjw3tourney3/jumppad1_1.fx.tga
	surfaceparm nomarks
	surfaceparm nonsolid
	q3map_surfacelight 1000
	{
		clampmap textures/pjw3tourney3/jumppad1_1.fx.tga
		rgbGen identity
		tcMod stretch sawtooth 0.1 6.5 1 1 
	}
	{
		map textures/pjw3tourney3/jumppad1_5.tga
		blendfunc blend
		rgbGen identity
	}
	{
		map textures/pjw3tourney3/jumppad1_1.blend.tga
		blendfunc add
		rgbGen wave inversesawtooth 0.5 0.5 0 0.5 
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
	}
}

//modified Mr. Clean shader
textures/pjw3tourney3/mrc_metwall02_nonsolid
{
	qer_editorimage textures/pjw3tourney3/mrc_metwall02.tga
	surfaceparm nonsolid		
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/pjw3tourney3/mrc_metwall02.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

//modified id shader
textures/pjw3tourney3/border11c_pjw
{
	q3map_surfacelight 1200
	q3map_lightimage textures/common/white.tga
	qer_editorimage textures/base_trim/border11c.tga
	q3map_lightsubdivide 32
	{
		map textures/base_trim/border11c.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/base_trim/border11c_light.tga
		blendfunc gl_one gl_one
		rgbgen wave sin 1 .1 0 5
	}
	{
		map textures/base_trim/border11c_pulse1b.tga
		blendfunc gl_one gl_one
		tcmod scale .035 1
		tcmod scroll -0.65 0
	}
}

//I can't remember who I got the original liquid-in-glass shader from--sorry. :-(
//thanks to someone on the Q3World level editing forum
//the slime texture itself is a modification of an id texture
textures/pjw3tourney3/pjw_quicksilver
{
	qer_editorimage textures/pjw3tourney3/pjwslime.tga
	surfaceparm alphashadow
	cull disable
	{
		map textures/pjw3tourney3/pjwslime.tga
		rgbGen identity
		tcMod scroll 0.1 -0.6
	}
	{
		map textures/effects/tinfx2.tga
		blendfunc add
		rgbGen identity
		tcGen environment 
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity 
	}
}

//modified id shader
textures/pjw3tourney3/pjw3tourney3lava
	{
		qer_editorimage textures/liquids/lavahell.tga
		q3map_globaltexture
		q3map_lightsubdivide 32
		surfaceparm noimpact
		surfaceparm lava
		surfaceparm nolightmap
		q3map_surfacelight 2500
		cull disable
	
	{
		map textures/liquids/lavahell.tga
		tcMod turb 0 .2 0 .1
	}
       
}

//modified id shader
textures/pjw3tourney3/light_chrome
{   
 	cull none
	surfaceparm nomarks
	q3map_surfacelight 300
	qer_editorimage textures/base_trim/pewter_shiney.tga
        {
                map textures/effects/tinfx.tga       
                tcGen environment
                rgbGen identity
	}   
        {
		map textures/base_trim/pewter_shiney.tga
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	} 
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/pjw3tourney3/pjw_t3blackfog
{
	qer_editorimage textures/sfx/fog_grey.tga
	qer_trans .75
	surfaceparm fog
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	fogparms ( 0.01 0.01 0.01 ) 92
}

//modification of a shader and texture by quint--thanks quint!
textures/pjw3tourney3/tele_flare
{
	qer_editorimage textures/pjw3tourney3/tele_flare.tga
	
	deformVertexes autoSprite
        surfaceparm trans	
        surfaceparm nomarks	
      	surfaceparm nolightmap
	cull none
              {
		map textures/pjw3tourney3/tele_flare.tga
                blendFunc add
              }
}